from gcs_cli.commands.storage_gateway.create.blackpearl import blackpearl_create
from gcs_cli.commands.storage_gateway.create.box import box_create
from gcs_cli.commands.storage_gateway.create.ceph import ceph_create
from gcs_cli.commands.storage_gateway.create.google_cloud_storage import (
    google_cloud_storage_create,
)
from gcs_cli.commands.storage_gateway.create.google_drive import google_drive_create
from gcs_cli.commands.storage_gateway.create.posix import posix_create
from gcs_cli.commands.storage_gateway.create.s3 import s3_create
from gcs_cli.parsing import globus_group


@globus_group(name="create")
def create_command():
    """Create a Storage Gateway"""


create_command.add_command(blackpearl_create)
create_command.add_command(ceph_create)
create_command.add_command(google_cloud_storage_create)
create_command.add_command(google_drive_create)
create_command.add_command(box_create)
create_command.add_command(posix_create)
create_command.add_command(s3_create)
