from .collection import Collection
from globus.manager.constants import ConfigurationObjectTag


class CephCollection(Collection):
    POLICIES_DATA_TYPE = "ceph_collection_policies#1.0.0"
    __mapper_args__ = {
        "polymorphic_identity": (
            ConfigurationObjectTag.COLLECTION.name
            + "1b6374b0-f6a4-4cf7-a26f-f262d9c6ca72"
        )
    }

    @property
    def connector_id(self):
        return "1b6374b0-f6a4-4cf7-a26f-f262d9c6ca72"

    @connector_id.setter
    def connector_id(self, value):
        if value and str(value) != self.connector_id:
            raise ValueError("Immutable property connector_id")

    def __repr__(self):
        return "<CephCollection {}>".format(self.id)
