import marshmallow as ma

from .data_type import DataTypeSchema
from .account import account_schema


class CredentialNotFoundSchema(ma.Schema):
    _DATA_TYPE = "credential_not_found#1.0.0"
    DATA_TYPE = ma.fields.String(
        required=True,
        allow_none=False,
        default=_DATA_TYPE,
        validate=[ma.validate.Equal(_DATA_TYPE)],
    )
    accounts = ma.fields.List(ma.fields.Nested(account_schema), required=True)


credential_not_found_schema = CredentialNotFoundSchema()
DataTypeSchema.register_schema(credential_not_found_schema)
