import marshmallow as ma

from ..api.endpoint import EndpointSchema


class EndpointConfigSchema(EndpointSchema):
    _DATA_TYPE = "endpoint_config#1.0.0"

    DATA_TYPE = ma.fields.String(
        required=True,
        allow_none=False,
        default="endpoint_config#1.0.0",
        validate=[ma.validate.Equal(_DATA_TYPE)],
    )

    # enable sequential random-looking domains
    domain_index = ma.fields.Int()

    oauth_state_key = ma.fields.Str(
        doc="Secret to encode and decode the OAuth state variable"
    )

    # fingerprint used as gcs_private_version_json
    fingerprint = ma.fields.Raw(required=False)


endpoint_config_schema = EndpointConfigSchema()
