import marshmallow as ma
from globus.manager.constants import PrincipalType, RoleType
from globus.manager.api.schemas.enum_field import EnumField


class RoleConfig(ma.Schema):
    _DATA_TYPE = "role_config#1.0.0"
    DATA_TYPE = ma.fields.Str(
        default=_DATA_TYPE, validate=[ma.validate.Equal(_DATA_TYPE)]
    )

    id = ma.fields.UUID()
    principal_type = EnumField(enum_class=PrincipalType)
    identity_id = ma.fields.UUID()
    role = EnumField(enum_class=RoleType)
    resource = ma.fields.UUID(allow_none=True)
    primary_role = ma.fields.Boolean()


role_config_schema = RoleConfig()
