import marshmallow as ma


class CleanupUUIDMixin:
    """
    Mixin class that adds support for deleting items which have the value None
    from the serialized output.
    """

    @ma.post_load
    def cleanup_uuid(self, obj, **kwargs):
        uuid_fields = getattr(self, "uuid_fields", [])

        for f in uuid_fields:
            if f in obj:
                obj[f] = str(obj[f])
        return obj
