import enum


class ConfigurationObjectTag(enum.Enum):
    ACME_ACCOUNT = "ACME_ACCOUNT"
    CERTIFICATE = "CERTIFICATE"
    COLLECTION = "COLLECTION"
    DOMAIN = "DOMAIN"
    ENDPOINT = "ENDPOINT"
    KEY_CHAIN = "KEY_CHAIN"
    ROLE = "ROLE"
    STORAGE_GATEWAY = "STORAGE_GATEWAY"
    USER_CREDENTIAL = "USER_CREDENTIAL"
    WILDCARD_DOMAIN = "WILDCARD_DOMAIN"

    def __lt__(self, other):
        if not isinstance(other, ConfigurationObjectTag):
            other = ConfigurationObjectTag(other)

        return self.value < other.value
