from typing import Dict

import globus.manager.api.models as models


def AcmeAccountV53(
    meta: Dict[str, str], private_key: Dict[str, str], regr: Dict[str, str]
):

    return models.AcmeAccount(
        appsync_data={
            "configuration_hash": {
                "acme_key": private_key,
                "acme_account": {
                    "body": {
                        "key": {
                            "n": private_key["n"],
                            "e": private_key["e"],
                            "kty": private_key["kty"],
                        },
                        "status": "valid",
                    },
                    "uri": regr["uri"],
                    "terms_of_service": "https://letsencrypt.org/documents/LE-SA-v1.2-November-15-2017.pdf",
                },
            }
        }
    )
