class PathRestrictions:
    _DATA_TYPE = "path_restrictions#1.0.0"

    def __init__(self, DATA_TYPE=_DATA_TYPE, read=None, read_write=None, none=None):
        if DATA_TYPE != self._DATA_TYPE:
            raise ValueError("Unsupported DATA_TYPE")

        self.read = read
        self.read_write = read_write
        self.none = none

    @staticmethod
    def __valid_rp_expression(exp):
        if isinstance(exp, str):
            return exp[0] in "/~$*?["
        else:
            raise ValueError()

    @property
    def read(self):
        return self._read

    @read.setter
    def read(self, value):
        new_read = []
        if value is None:
            value = []
        for v in value:
            if self.__valid_rp_expression(v):
                new_read.append(v)
        self._read = new_read

    @property
    def read_write(self):
        return self._read_write

    @read_write.setter
    def read_write(self, value):
        new_read_write = []
        if value is None:
            value = []
        for v in value:
            if self.__valid_rp_expression(v):
                new_read_write.append(v)
        self._read_write = new_read_write

    @property
    def none(self):
        return self._none

    @none.setter
    def none(self, value):
        new_none = []
        if value is None:
            value = []
        for v in value:
            if self.__valid_rp_expression(v):
                new_none.append(v)
        self._none = new_none
