"""Add deleted and invalid column

Revision ID: dba9a86d5a31
Revises: f4f9e932909a
Create Date: 2017-03-27 13:31:16.596955

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'dba9a86d5a31'
down_revision = 'f4f9e932909a'
branch_labels = None
depends_on = None


def upgrade():
    op.add_column(
        'user_credential',
        sa.Column('deleted', sa.Integer(), server_default='0', nullable=False))
    op.add_column(
        'user_credential',
        sa.Column('invalid', sa.Integer(), server_default='0', nullable=False))
    op.create_index(
        op.f('ix_user_credential_deleted'), 'user_credential', ['deleted'],
        unique=False)
    op.create_index(
        op.f('ix_user_credential_invalid'), 'user_credential', ['invalid'],
        unique=False)
    op.drop_index(
        'ix_user_credential_storage_type_id', table_name='user_credential')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_index(
        'ix_user_credential_storage_type_id', 'user_credential',
        ['storage_type_id'], unique=False)
    op.drop_index(
        op.f('ix_user_credential_invalid'), table_name='user_credential')
    op.drop_index(
        op.f('ix_user_credential_deleted'), table_name='user_credential')
    op.drop_column('user_credential', 'invalid')
    op.drop_column('user_credential', 'deleted')
    # ### end Alembic commands ###
